2018-06-17 2125次浏览

自 3.0.0 版本开始,Yii 采用 SemVer 版本,来实现更好的可预测性以及与 Composer 的兼容性。

扩展也采用同样的方式。他们将从下一个主要版本开始采用 SemVer

SemVer 很简单。给定版本号 MAJOR.MINOR.PATCH,增加:

  • MAJOR 版本当你做出不兼容的API更改时,
  • MINOR 版本以向后兼容的方式添加功能时,
  • PATCH 版本当您进行向后兼容的错误修复。

Yii 2.0.x 版本保持原样。